- [HTTP request](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.aspect)
- [IAM Permissions](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#body.aspect_1)
- [Examples](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete#try-it)

Deletes a specific user subscription, stopping notifications for this user to this subscriber.

### HTTP request

`DELETE https://health.googleapis.com/v4/{name=projects/*/subscribers/*/subscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the subscription to delete. Format: `projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}` Example: `projects/my-project/subscribers/my-subscriber-123/subscriptions/my-subscription-456` The {subscriber} ID is user-settable (4-36 characters, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) if provided during creation, or system-generated otherwise. The {subscription} ID is user-settable (4-36 characters, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) or system-generated if not provided during creation. It takes the form `projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `health.subscriptions.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).